Retivo

Webhooks

Outbound webhook endpoint management

List webhook endpoints

GET
/api/webhooks/endpoints

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Response Body

application/json

curl -X GET "https://retivo.ai/api/webhooks/endpoints"
{
  "endpoints": [
    {
      "id": "string",
      "url": "string",
      "description": "string",
      "subscribed_events": [
        "string"
      ],
      "active": true,
      "created_at": "string",
      "updated_at": "string"
    }
  ]
}

Register webhook endpoint

POST
/api/webhooks/endpoints

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://retivo.ai/api/webhooks/endpoints" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{
  "endpoint": {
    "id": "string",
    "url": "string",
    "secret": "string",
    "description": "string",
    "subscribed_events": [
      "string"
    ],
    "active": true,
    "created_at": "string"
  }
}
{
  "error": "string",
  "upgrade_to": "string"
}

Delete webhook endpoint

DELETE
/api/webhooks/endpoints/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X DELETE "https://retivo.ai/api/webhooks/endpoints/string"
{
  "deleted": true
}
{
  "error": "string"
}

Update webhook endpoint

PUT
/api/webhooks/endpoints/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://retivo.ai/api/webhooks/endpoints/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "endpoint": {
    "id": "string",
    "url": "string",
    "description": "string",
    "subscribed_events": [
      "string"
    ],
    "active": true,
    "updated_at": "string"
  }
}
{
  "error": "string"
}

Test webhook endpoint

POST
/api/webhooks/endpoints/{id}/test

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X POST "https://retivo.ai/api/webhooks/endpoints/string/test"
{
  "test": {
    "success": true,
    "status": 0,
    "status_text": "string",
    "error": "string"
  }
}
{
  "error": "string"
}